Subject: Re: [MMUSIC] [Technical Errata Reported] RFC3264 (2098)

From: "Kevin P. Fleming" <[email-masked]>
Date: Fri, 02 Apr 2010 16:09:11 -0500

RFC Errata System wrote:

> Section: 10
> 
> Original Text
> -------------
> 10.1 Basic Exchange
> 
>    Assume that the caller, Alice, has included the following description
>    in her offer.  It includes a bidirectional audio stream and two
>    bidirectional video streams, using H.261 (payload type 31) and MPEG
>    (payload type 32).  The offered SDP is:
> 
>    v=0
>    o=alice 2890844526 2890844526 IN IP4 host.anywhere.com
>    s=
>    c=IN IP4 host.anywhere.com
>    t=0 0
>    m=audio 49170 RTP/AVP 0
>    a=rtpmap:0 PCMU/8000
>    m=video 51372 RTP/AVP 31
>    a=rtpmap:31 H261/90000
>    m=video 53000 RTP/AVP 32
>    a=rtpmap:32 MPV/90000
> 
> Corrected Text
> --------------
> 10.1 Basic Exchange
> 
>    Assume that the caller, Alice, has included the following description
>    in her offer.  It includes a bidirectional audio stream and two
>    bidirectional video streams, using H.261 (payload type 31) and MPEG
>    (payload type 32).  The offered SDP is:
> 
>    v=0
>    o=alice 2890844526 2890844526 IN IP4 host.anywhere.com
>    s=-
>    c=IN IP4 host.anywhere.com
>    t=0 0
>    m=audio 49170 RTP/AVP 0
>    a=rtpmap:0 PCMU/8000
>    m=video 51372 RTP/AVP 31
>    a=rtpmap:31 H261/90000
>    m=video 53000 RTP/AVP 32
>    a=rtpmap:32 MPV/90000
> 
> Notes
> -----
> The s= session name must have some values as per RFC 4566 Sec 5.3.
> ----------------------------------------------------------------
> RFC 4566
> 5.3.  Session Name ("s=")
> 
>       s=<session name>
> 
>    The "s=" field is the textual session name.  There MUST be one and
>    only one "s=" field per session description.  The "s=" field MUST NOT
>    be empty and SHOULD contain ISO 10646 characters (but see also the
>    "a=charset" attribute).  If a session has no meaningful name, the
>    value "s= " SHOULD be used (i.e., a single space as the session  name).
> ----------------------------------------------------------------

The language above from RFC4566 is a significant improvement in clarity
over the language from RFC2327, but of course RFC3264 can't be expected
to have taken that into account. In spite of that, the ABNF in RFC2327
clearly states that 'session-name-field' contains a 'text' element, and
the 'text' element (via the 'byte-string' element) mandates at least one
character. I would agree that the proposed syntax 's=-' is logical for
usage in the RFC, where line-ending whitespace cannot be seen easily.

-- 
Kevin P. Fleming
Digium, Inc. | Director of Software Technologies
445 Jan Davis Drive NW - Huntsville, AL 35806 - USA
skype: kpfleming | jabber: [email-masked]
Check us out at www.digium.com & www.asterisk.org